Subject: RE: [X2Go-Dev] Bug#566: X2Go Client for Windows 4.0.2.1 cannot create C:\Users\<username>\ssh\known_hosts file when the local Windows account username has non-Ascii characters

From: Γεώργιος Τρακατέλης <[email-masked]>
Date: Tue, 16 Sep 2014 08:50:37 +0300

Dear Mike,

Two things.

1. Please make a preview build of X2Go Client for Windows with the patch applied and inform me when you do so.
I'd rather test a complete preview package of X2Go Client 4.0.3.0 for Windows.

2. Before writing this reply I had a recollection of initially having bumped onto a similar bug that was dismissed 
due to the fact that the submitter's system was not POSIX compliant. I searched for the bug but I couldn't find it.

Then I decided to give bug #566 a try on Linux, but Ubuntu 14.04 does not allow non-Ascii characters in user names.
After that, I did a more thorough search and finally found the aforementioned bug. It is bug #397!
I'm wondering why that bug was filed as an x2goserver bug instead of x2goclient.

The good news: I managed to change my (linux test) home folder to /home/néstor using usermod
(changing to /home/Γιώργος is impossible (Γιώργος=George in Greek)).
Findings: x2goclient managed to create known_hosts but the nxproxy module failed
"*** longjmp causes uninitialized stack frame ***: /user/lib/nx/bin/nxproxy terminated"

In bug #397, Néstor gives another reason for failure
"Error: The remote NX proxy closed the connection."
which implies x2goserver rejected the connection, so I stopped there.
Could you possibly test it? (If you cannot type an é, just copy-paste néstor)

-George

-----Original Message-----
From: Michael DePaulo [mailto:[email-masked]] 
Sent: Monday, September 15, 2014 7:38 PM
To: [email-masked]
Cc: Michael Frederick; George Trakatelis
Subject: Re: [X2Go-Dev] Bug#566: X2Go Client for Windows 4.0.2.1 cannot create C:\Users\<username>\ssh\known_hosts file when the local Windows account username has non-Ascii characters

Control: severity 566 grave

Dear George,

Thank you for your research.

Over the next day or so, I will apply bug566.test.v2.patch, which will then be included in both the MinGW 4.4 and the MinGW 4.8 nightly builds. Once you (or someone else) confirms that the patch fixes this bug for said installations, I will mark this bug as fixed. I've already cloned this bug. The clone will be for handling languages other than the "Language for non-Unicode programs"; i.e., using Unicode.

I am marking this original bug as severity "grave" because it "makes the package in question unusable or mostly so"[1] for a significant number of users. Getting this original bug fixed for x2goclient 4.0.3.0 will be a high priority for me.

Also, I tried to shorten the title of this bug (and correct a typo:
cannon -> cannot) but I ran into a bug with the debbugs software. I'm trying to correct the title.

-Mike